Read a disk
GET
/v1/disks/{disk}GET
/v1/disks/{disk}
const url = 'https://api.wabe.sh/v1/disks/demo';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wabe.sh/v1/disks/demo \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoDisk name in the current project.
Responses
Section titled “Responses”Disk metadata.
Media typeapplication/json
object
name
required
string
Example
{ "name": "demo"}Missing, invalid or revoked project API key.
Media typeapplication/json
object
error
required
string
message
required
string
Disk not found in this project.
Media typeapplication/json
object
error
required
string
message
required
string